Subject: bug#7943: white background is color #e5e5e5 in terminal window

From: Warren Harris <[email-masked]>
Date: Sat, 12 Mar 2011 13:46:57 -0800

All I can say is the current behavior is quite annoying when more than 8
colors are available. Many colors have very low contrast against the grey90
background, and there's no way I can see to set the background to
brightwhite. This forces me to set my TERM so that all I get is black and
white, which can also be hard on the eyes.

I guess I can try and hack my xterm.el, but it definitely seems like a bug
to me.

On Sat, Mar 12, 2011 at 1:09 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: "Drew Adams" <[email-masked]>
> > Cc: <[email-masked]>
> > Date: Sat, 12 Mar 2011 12:18:54 -0800
> >
> > >       ("white"          7 (229 229 229))    ; gray90
> > >       ("brightwhite"   15 (255 255 255)))   ; white
> > >
> > > As you see, what is called "white" in list-colors-display is actually
> > > gray90....  This definition is used to leave FFFFFF for brightwhite
> >
> > Wow.  I won't presume to suggest that this is misguided, but I can't help
> but
> > wonder why.  Why wouldn't white be called "white" and gray90 be called
> "gray90"
> > or "off-white" or some such?
>
> For compatibility with 8-color text terminals that cannot produce the
> bright colors, IIRC.
>
> Some text terminals can produce bright white by combining white with
> another text attribute (bold, if I'm not mistaken).  Having 8-color
> terminals without "white" would be confusing.
>
> We do use "gray" on terminals that don't have this historical
> precedent, see w32console.el, for example.
>